post
https://api.elliemae.com/webhook/v1/functions/auth//test
Use this API to test the custom auth parameters for a given webhook custom auth function id.
Usage Notes
- On a successful 2XX response, the response returns the HTTP status code in the
tokenTestOKResponseobject. - Non-2xx failure responses return in the
tokenTestFailureResponseobject with actionable messages and error codes. Refer to the following error codes:
Network / Socket Errors
| Error Code | Message |
|---|---|
| ECONNABORTED | Connection timed out after 10000ms while requesting token from {url} |
| ENOTFOUND | Unable to resolve hostname for token URL: {url} - please verify the URL is correct |
| ECONNREFUSED | Connection refused by token server at {url} - the server may be down or not accepting connections |
| ECONNRESET | Connection was reset by token server at {url} - the server closed the connection unexpectedly |
| ETIMEDOUT | TCP connection timed out while connecting to token server at {url} - the server may be unreachable |
| EHOSTUNREACH | Token server host is unreachable at {url} - verify network connectivity and the URL |
| ENETUNREACH | Network is unreachable while connecting to token server at {url} - verify network connectivity |
TLS / Certificate Errors
| Error Code | Message |
|---|---|
| CERT_HAS_EXPIRED | TLS/SSL certificate error while connecting to token server at {url}: {error.message} |
| DEPTH_ZERO_SELF_SIGNED_CERT | TLS/SSL certificate error while connecting to token server at {url}: {error.message} |
| UNABLE_TO_VERIFY_LEAF_SIGNATURE | TLS/SSL certificate error while connecting to token server at {url}: {error.message} |
| ERR_TLS_CERT_ALTNAME_INVALID | TLS/SSL certificate error while connecting to token server at {url}: {error.message} |
This API added with the 25.2 release of Encompass.
400Bad Request
401Unauthorized
403Forbidden
404Resource Not Found
500Internal Server Error
